DOM::CSS2PlayDuring class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSS2PlayDuring Class Reference

The `CSS2PlayDuring` interface represents the play-during CSS Level 2 property. More...

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2PlayDuring:

[legend]
Collaboration diagram for DOM::CSS2PlayDuring:

[legend]
List of all members.

## Public Member Functions
| CSS2PlayDuring (const CSS2PlayDuring &other)
| CSS2PlayDuring (CSS2PlayDuringImpl *impl)
CSS2PlayDuring & | operator= (const CSS2PlayDuring &other)
unsigned short | playDuringType () const
| A code defining the type of the value as define in `CSSvalue` .
DOM::DOMString | playDuringIdentifier () const
| One of `"inherit"` , `"auto"` , `"none"` or the empty string if the `playDuringType` is `CSS_UNKNOWN` .
void | setPlayDuringIdentifier (const DOM::DOMString &)
| see playDuringIdentifier
DOM::DOMString | uri () const
| The sound specified by the `uri` .
void | setUri (const DOM::DOMString &)
| see uri
bool | mix () const
| `true` if the sound should be mixed.
void | setMix (const bool)
| see mix
bool | repeat () const
| `true` if the sound should be repeated.
void | setRepeat (const bool)
| see repeat

## Detailed Description

The `CSS2PlayDuring` interface represents the play-during CSS Level 2 property.

Definition at line 890 of file css_extensions.h.

## Member Function Documentation

unsigned short CSS2PlayDuring::playDuringType | ( |  | ) | const

| A code defining the type of the value as define in `CSSvalue` . It would be one of `CSS_UNKNOWN` , `CSS_INHERIT` , `CSS_IDENT` Definition at line 575 of file css_extensions.cpp.

DOMString CSS2PlayDuring::playDuringIdentifier | ( |  | ) | const

| One of `"inherit"` , `"auto"` , `"none"` or the empty string if the `playDuringType` is `CSS_UNKNOWN` . On setting, it will set the `uri` to the empty string and `mix` and `repeat` to `false` . Definition at line 581 of file css_extensions.cpp.

void CSS2PlayDuring::setPlayDuringIdentifier | ( | const DOM::DOMString & |  | ) |

  | see playDuringIdentifier Exceptions:
  DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly. Definition at line 587 of file css_extensions.cpp.

DOMString CSS2PlayDuring::uri | ( |  | ) | const

| The sound specified by the `uri` . It will set the `playDuringType` attribute to `CSS_UNKNOWN` . Definition at line 592 of file css_extensions.cpp.

void CSS2PlayDuring::setUri | ( | const DOM::DOMString & |  | ) |

  | see uri Exceptions:
  DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly. Definition at line 598 of file css_extensions.cpp.

bool CSS2PlayDuring::mix | ( |  | ) | const

| `true` if the sound should be mixed. It will be ignored if the attribute doesn't contain a `uri` . Definition at line 603 of file css_extensions.cpp.

void DOM::CSS2PlayDuring::setMix | ( | const | bool | ) |

  | see mix Exceptions:
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

bool CSS2PlayDuring::repeat | ( |  | ) | const

| `true` if the sound should be repeated. It will be ignored if the attribute doesn't contain a `uri` . Definition at line 616 of file css_extensions.cpp.

void DOM::CSS2PlayDuring::setRepeat | ( | const | bool | ) |

  | see repeat Exceptions:
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:28 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001